/**************************\
  Basic Modal Styles
\**************************/

.micromodal-slide {
  display: none;
}

.micromodal-slide.is-open {
  display: block;
  position: relative;
  z-index: 100;
}

.modal__overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.8);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
  padding:0 25px;
}

.modal__container {
  padding: 2px;
  max-width: 90%;
  max-height: 100vh;
  overflow-y: auto;
  background: transparent;
}

.modal__btn {
  margin-top: 40px;
}


/**************************\
  Demo Animation Style
\**************************/
@keyframes mmfadeIn {
    from { opacity: 0; }
      to { opacity: 1; }
}

@keyframes mmfadeOut {
    from { opacity: 1; }
      to { opacity: 0; }
}

@keyframes mmslideIn {
  from { transform: translateY(15%); }
    to { transform: translateY(0); }
}

@keyframes mmslideOut {
    from { transform: translateY(0); }
    to { transform: translateY(-10%); }
}

.micromodal-slide[aria-hidden="false"] .modal__overlay {
  animation: mmfadeIn .3s cubic-bezier(0.0, 0.0, 0.2, 1);
}

.micromodal-slide[aria-hidden="false"] .modal__container {
  animation: mmslideIn .3s cubic-bezier(0, 0, .2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__overlay {
  animation: mmfadeOut .3s cubic-bezier(0.0, 0.0, 0.2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__container {
  animation: mmslideOut .3s cubic-bezier(0, 0, .2, 1);
}

.micromodal-slide .modal__container,
.micromodal-slide .modal__overlay {
  will-change: transform;
}
/* 20241128 モーダルウィンドウ スクロール可能領域を広げるための追記 */
.modal__container {
	max-height: calc(100vh - 40px); /* 上下に20pxずつ余白を確保 */
} 
.modal__overlay {
	overflow-y: auto; /* オーバーレイにもスクロールを許可 */
}
.modal__btn {
  /* 閉じるボタンの上下に余白を追加 */
	margin-top: 24px;
	margin-bottom: 56px;
}
